---
title: "Get Group Integrations"
slug: "get-group-integrations"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Group Integrations

Get/api/v1/groups.getIntegrations

Retrieves the integrations that the group/channel has. At least one of the following integration permissions is required:

- `manage-incoming-integrations`
- `manage-own-incoming-integrations`
- `manage-outgoing-integrations`
- `manage-own-outgoing-integrations`

It will return the integrations based on the user's permission.

### Changelog

| Version | Description |
| --- | --- |
| 1.1.0 | Separate permissions in incoming and outgoing. |
| 0.49.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersroomIdstringRequired

Enter the private channel's ID. Alternatively, you can enter the room name using the `roomName` query parameter. You can find the IDs by using any of the following endpoints:

- [Get List of User Groups](https://developer.rocket.chat/apidocs/get-list-of-user-groups): This endpoint returns all private channels in the workspace, if you have the required permissions to view them.
- [Get Groups](https://developer.rocket.chat/apidocs/get-groups): This endpoint returns the private channels that you are a member of.

Example6731de043b74d3c57d334d0c
offsetinteger

Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
countinteger

The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
sort

List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, {"value": -1, "_id": 1}. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

query

This parameter allows you to use MongoDB query operators to search for specific data. For example, to query users with a name that contains the letter "g": `query={ &quot;name&quot;: { &quot;$regex&quot;: &quot;g&quot; } }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#query-and-fields) to learn more.

fieldsstring

This parameter accepts a JSON object with properties that have a value of 1 or 0 to include or exclude them in the response. For example, to only retrieve the usernames of users: `fields={ &quot;username&quot;: 1 }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#query-and-fields) to learn more.

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='15e21ff8-1780-4124-906d-9ead56d475d4'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='479b2bbe-7871-43ef-96a7-57084bb64a4f'>Success</option>
</select>Success

```json
{
  "integrations": [
    {
      "_id": "WMQDChpnYTRmFre9h",
      "enabled": true,
      "username": "rocket.cat",
      "alias": "Guggy",
      "avatar": "http://res.guggy.com/logo_128.png",
      "name": "Guggy",
      "triggerWords": [
        "!guggy",
        "guggy",
        "gif+"
      ],
      "urls": [
        "http://text2gif.guggy.com/guggify"
      ],
      "token": "8DFS89DMKLWEN",
      "script": "const config = {\n    color: '#ffffff'\n};\n\nclass Script {\n    prepare_outgoing_request({ request }) {\n        const trigger = request.data.trigger_word + ' ';\n        const phrase = request.data.text.replace(trigger, '');\n        request.headers['Content-Type']='application/json';\n        request.headers['apiKey']=request.data.token;\n        return {\n            url: request.url,\n            headers: request.headers,\n            data: {format: 'gif', sentence: phrase},\n            method: 'POST'\n        };\n    }\n\n    process_outgoing_response({ request, response }) {\n        if(response.content.gif) {\n            return {\n                content: {\n                    attachments: [\n                        {\n                            image_url: response.content.gif,\n                            color: ((config['color'] != '') ? '#' + config['color'].replace('#', '') : '#ffffff')\n                        }\n                    ]\n                }\n            };\n        } else {\n            return {\n                content: {\n                    text: 'Sorry I don\\'t have a photo for you :disappointed_relieved:'\n                }\n            };\n        }\n    }\n}",
      "scriptEnabled": true,
      "impersonateUser": false,
      "scriptCompiled": "function _classCallCheck(instance,Constructor){if(!(instance instanceof Constructor)){throw new TypeError('Cannot call a class as a function')}}var config={color:'#ffffff'};var Script=function(){function Script(){_classCallCheck(this,Script)}Script.prototype.prepare_outgoing_request=function prepare_outgoing_request(_ref){var request=_ref.request;var trigger=request.data.trigger_word+' ';var phrase=request.data.text.replace(trigger,'');request.headers['Content-Type']='application/json';request.headers['apiKey']=request.data.token;return{url:request.url,headers:request.headers,data:{format:'gif',sentence:phrase},method:'POST'}};Script.prototype.process_outgoing_response=function process_outgoing_response(_ref2){var request=_ref2.request;var response=_ref2.response;if(response.content.gif){return{content:{attachments:[{image_url:response.content.gif,color:config['color']!=''?'#'+config['color'].replace('#',''):'#ffffff'}]}}}else{return{content:{text:'Sorry I don\\'t have a photo for you :disappointed_relieved:'}}}};return Script}();",
      "scriptError": "",
      "type": "webhook-outgoing",
      "userId": "rocket.cat",
      "channel": [
        "#private-group-name"
      ],
      "_createdAt": "2017-01-05T17:06:05.660Z",
      "_createdBy": {
        "username": "graywolf336",
        "_id": "R4jgcQaQhvvK6K3iY"
      },
      "_updatedAt": "2017-01-05T17:06:05.660Z"
    }
  ],
  "success": true
}
```

Expand Allobject  integrations Array of object   object  _idstring    
enabledboolean    
usernamestring    
aliasstring    
avatarstring    
namestring    
triggerWords Array of string   string    
urls Array of string   string    
tokenstring    
scriptstring    
scriptEnabledboolean    
impersonateUserboolean    
scriptCompiledstring    
scriptErrorstring    
typestring    
userIdstring    
channel Array of string   string    
_createdAtstring    
_createdByobject  usernamestring    
_idstring    

_updatedAtstring    

successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='7ee8be14-3395-481a-860c-aee0a9f66142'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='06c279e7-dc40-4d66-9055-65c4f3ec1365'>Example 1</option>
<option value='de359cde-5c4a-4017-83a7-914d6c8e7f74'>Example 2</option>
</select>Example 1

```json
{
  "success": false,
  "error": "The parameter \"roomId\" or \"roomName\" is required [error-room-param-not-provided]",
  "errorType": "error-room-param-not-provided"
}
```

Example 2

```json
{
  "success": false,
  "error": "User does not have the permissions required for this action [error-unauthorized]"
}
```

object  successboolean    
errorstring    
errorTypestring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='f2fd3cf9-9a72-4837-9a70-27f8ec912393'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='60bff136-9020-4ed2-8180-04dafc05166d'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
